Subject: bug#63384: x-display-mm-width and x-display-mm-height both return 0 on wayland

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 May 2023 07:59:56 +0300

> Date: Sat, 13 May 2023 22:32:09 +0000
> From: [email-masked]
> 
> So, back to emacs. Maybe it should be fixed on this side? I personally made a workaround in the
> meantime that checks if these functions return 0, and if they do, they override the pgtk function that
> returns the display info, calculating the proper values for the mm size. It works great. You can find it
> here, in case anyone finds it useful.

If we can have a reasonably useful fallback on our side, I think we
should add it.  AFAIU, this problem also exists on the emacs-29
branch?  If so, I think we should add this fallback, if it is
reasonable, to the emacs-29 branch soon.